Subject: [Sip] Outbound: Questions on reg-id

From: "Christer Holmberg \(JO/LMF\)" <[email-masked]>
Date: Tue, 4 Apr 2006 12:47:56 +0200

Hi,

A few clarification questions on the reg-id parameter.

The outbound draft (chapter 3.1) says that the reg-id can be used by the
registrar to determine that a user has rebooted.

Q1: In order to achieve that you would have to make sure the value is
unique. Because, if you use value "1", then rebood, and then use value
"1" again I don't see what it will bring.

Q2: Doesn't the Call-ID, as defined by RFC3261 to be used with
registrations, provide the same functionaltity?

Chapter 10.2.4 of RFC3261 says:

"A UA SHOULD use the same Call-ID for all registrations during a single
boot cycle. Registration refreshes SHOULD be sent to the same network
address as the original registration, unless redirected." 

Regards,

Christer

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Bob Penfield" <[email-masked]>
Date: Tue, 4 Apr 2006 08:10:01 -0400

inline.
----- Original Message ----- 
>From: "Christer Holmberg (JO/LMF)"
>
>Hi,
>
>The outbound draft (chapter 3.1) says that the reg-id can be
>used by the registrar to determine that a user has rebooted.
>
>Q1: In order to achieve that you would have to make sure the
>value is unique. Because, if you use value "1", then rebood,
>and then use value"1" again I don't see what it will bring.
>
It may be a poor choice of words. What the registrar really needs to know is 
that a new "connection" or "flow" is the same as a previous "flow". The only 
things in the Contact guarateed to be the same after a UA reboots is the 
reg-id and sip-instance id. The UA might get a new IP Address from DHCP. The 
combination of reg-id & sip-instance identify the specific "flow" so the 
registar can locate existing binding.

>"A UA SHOULD use the same Call-ID for all registrations during a
>single boot cycle. Registration refreshes SHOULD be sent to the
>same network address as the original registration, unless
>redirected."
>
True, but the registrar still needs the sip-instance and reg-id to locate 
the specific flow.